import { B as FramesStackItem, A as FrameStackMessage, z as FrameStackRequestError, x as FrameStackDone, G as GetFrameResult } from '../types-BQLoW9mj.js';
import { PartialFrame } from './types.js';
import 'frames.js';
import 'react';
import 'frames.js/frame-parsers';
import 'frames.js/types';
import '../unstable-types-ClMYoeyD.js';

type FrameResultFailure = Exclude<GetFrameResult, {
    status: "success";
}>;
type FrameStackItemWithPartialFrame = Omit<FrameStackDone, "frameResult"> & {
    frameResult: Omit<FrameResultFailure, "frame"> & {
        frame: PartialFrame;
    };
};
declare function isPartialFrameStackItem(stackItem: FramesStackItem): stackItem is FrameStackItemWithPartialFrame;
declare function getErrorMessageFromFramesStackItem(item: FrameStackMessage | FrameStackRequestError): string;

export { getErrorMessageFromFramesStackItem, isPartialFrameStackItem };
